summaryrefslogtreecommitdiff
path: root/tests/dd/misc
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-03-28 14:14:04 +0100
committerJim Meyering <meyering@redhat.com>2008-03-28 14:21:28 +0100
commit17720c10cd73b71230f309137c437bf3aad7b6f5 (patch)
treef5df1dac6af0eedd44cc94f3c065f67d4147aa17 /tests/dd/misc
parent818dbee8dc1a50f6dbc1ba85f7f25a47ded09930 (diff)
downloadcoreutils-17720c10cd73b71230f309137c437bf3aad7b6f5.tar.xz
Require that "(exit $fail); exit $fail" be last line of each test.
* maint.mk (sc_require_test_exit_idiom): New rule to enforce policy. * tests/cp/acl: Adhere to the new policy. * tests/cp/preserve-gid: Likewise. * tests/dd/misc: * tests/install/create-leading: * tests/ln/sf-1: * tests/ls/symlink-slash: * tests/misc/help-version: * tests/misc/ls-time: * tests/misc/nice: * tests/misc/shred-remove: * tests/misc/stty: * tests/misc/stty-row-col: * tests/mkdir/p-1: * tests/mkdir/p-2: * tests/mkdir/p-3: * tests/mkdir/p-v: * tests/mkdir/special-1: * tests/mkdir/writable-under-readonly: * tests/mv/acl: * tests/mv/backup-is-src: * tests/mv/diag: * tests/mv/dir-file: * tests/mv/force: * tests/mv/hard-link-1: * tests/mv/i-2: * tests/mv/i-4: * tests/mv/into-self: * tests/mv/into-self-2: * tests/mv/into-self-3: * tests/mv/partition-perm: * tests/mv/to-symlink: * tests/rmdir/ignore: * tests/tail-2/assert: * tests/tail-2/assert-2: * tests/touch/dangling-symlink: * tests/touch/dir-1: * tests/touch/empty-file: * tests/touch/fifo: * tests/touch/no-rights: Likewise. Signed-off-by: Jim Meyering <meyering@redhat.com>
Diffstat (limited to 'tests/dd/misc')
-rwxr-xr-xtests/dd/misc5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/dd/misc b/tests/dd/misc
index 76183b3f8..917258236 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -2,7 +2,7 @@
# Ensure dd treats `--' properly.
# Also test some flag values.
-# Copyright (C) 1999, 2004-2007 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2004-2008 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -82,4 +82,5 @@ outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 2>/dev/null | wc -c`
test "$outbytes" -eq 3 || fail=1
test $fail -eq 0 && fail=$warn
-exit $fail
+
+(exit $fail); exit $fail